import ContentDetailPage from "@/components/content/ContentDetailPage";

export default function Page({ params }: { params: { type: string; id: string } }) {
  const contentType = parseInt(params.type ?? "2");
  const contentId = params.id.match(/^(\d+)/)?.[1] ?? params.id;
  return <ContentDetailPage contentType={contentType} contentId={contentId} />;
}
